Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface RendererSupport

All Known Implementing Classes:
  Hierarchy

public interface RendererSupport

Method Summary
`RendererMap` | `getRendererMap()`
`void` | `setRenderer(Class renderedClass, ObjectRenderer renderer)`

Method Detail

### getRendererMap

    public RendererMap getRendererMap()

### setRenderer

    public void setRenderer(Class renderedClass,
                            ObjectRenderer renderer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.